var DesktopApps = require('../src/util/desktop-apps');

var DesktopSuite = exports.DesktopSuite = {};


DesktopSuite.findIconThemes = function(test) {

  DesktopApps.findIconThemes()
    .then(function(themes) {
      //console.log(themes);
      test.ok(themes.length > 0);
      test.done();
    })
    .catch(function(err) {
      test.ifError(err);
      test.done();
    })
  ;

};

DesktopSuite.findIcon = function(test) {

  DesktopApps.findIcon('phpmyadmin')
    .then(function(iconPath) {
      console.log('findIcon', iconPath);
      test.done();
    })
    .catch(function(err) {
      test.ifError(err);
      test.done();
    })
  ;

};
